package com.xinelu.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author xinelu
 */
@Component
@ConfigurationProperties(prefix = "xinelu")
public class SystemBusinessConfig {
    /**
     * 项目名称
     */
    private String name;

    /**
     * 版本
     */
    private String version;

    /**
     * 版权年份
     */
    private String copyrightYear;

    /**
     * 实例演示开关
     */
    private boolean demoEnabled;

    /**
     * 上传路径
     */
    private static String profile;

    /**
     * 获取地址开关
     */
    private static boolean addressEnabled;

    /**
     * 验证码类型
     */
    private static String captchaType;

    /**
     * 签约知情书地址
     */
    private String signInformedFileUrl;

	/**
	 * 宣教库封面
	 */
	private String propagandaCoverUrl;

	/**
	 * 富文本框视频
	 */
	private String commonVideoUrl;

	/**
	 * 素材库封面
	 */
	private String materialsCoverUrl;

	/**
	 * 素材库视频地址
	 */
	private String materialsVideoUrl;

    /**
     * 话术图片地址
     */
    private String scriptFileUrl;

    /**
     * 资讯图片地址
     */
    private  String   infoRichTextPictureUrl;

    /**
     * 获取管理端富文本的上传路径
     */
    private String richTextPictureUrl;

	/**
	 * AI电话录音地址
	 */
	private String phoneDialRecordVideo;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCopyrightYear() {
        return copyrightYear;
    }

    public void setCopyrightYear(String copyrightYear) {
        this.copyrightYear = copyrightYear;
    }

    public boolean isDemoEnabled() {
        return demoEnabled;
    }

    public void setDemoEnabled(boolean demoEnabled) {
        this.demoEnabled = demoEnabled;
    }

    public static String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        SystemBusinessConfig.profile = profile;
    }

    public static boolean isAddressEnabled() {
        return addressEnabled;
    }

    public void setAddressEnabled(boolean addressEnabled) {
        SystemBusinessConfig.addressEnabled = addressEnabled;
    }

    public static String getCaptchaType() {
        return captchaType;
    }

    public void setCaptchaType(String captchaType) {
        SystemBusinessConfig.captchaType = captchaType;
    }

    /**
     * 获取导入上传路径
     */
    public static String getImportPath() {
        return getProfile() + "/import";
    }

    /**
     * 获取头像上传路径
     */
    public static String getAvatarPath() {
        return getProfile() + "/avatar";
    }

    /**
     * 获取下载路径
     */
    public static String getDownloadPath() {
        return getProfile() + "/download/";
    }

    /**
     * 获取上传路径
     */
    public static String getUploadPath() {
        return getProfile() + "/upload";
    }

    public String getSignInformedFileUrl() {
        return signInformedFileUrl;
    }

    public void setSignInformedFileUrl(String signInformedFileUrl) {
        this.signInformedFileUrl = signInformedFileUrl;
    }

    public String getScriptFileUrl() {
        return scriptFileUrl;
    }

    public void setScriptFileUrl(String scriptFileUrl) {
        this.scriptFileUrl = scriptFileUrl;
    }
	public String getPropagandaCoverUrl() {
		return propagandaCoverUrl;
	}

	public void setPropagandaCoverUrl(String propagandaCoverUrl) {
		this.propagandaCoverUrl = propagandaCoverUrl;
	}

	public String getCommonVideoUrl() {
		return commonVideoUrl;
	}

	public void setCommonVideoUrl(String commonVideoUrl) {
		this.commonVideoUrl = commonVideoUrl;
	}

	public String getMaterialsCoverUrl() {
		return materialsCoverUrl;
	}

	public void setMaterialsCoverUrl(String materialsCoverUrl) {
		this.materialsCoverUrl = materialsCoverUrl;
	}

	public String getMaterialsVideoUrl() {
		return materialsVideoUrl;
	}

	public void setMaterialsVideoUrl(String materialsVideoUrl) {
		this.materialsVideoUrl = materialsVideoUrl;
	}

    public String getRichTextPictureUrl() {
        return richTextPictureUrl;
    }

    public void setRichTextPictureUrl(String richTextPictureUrl) {
        this.richTextPictureUrl = richTextPictureUrl;
    }

    public String getInfoRichTextPictureUrl() {
        return infoRichTextPictureUrl;
    }

    public void setInfoRichTextPictureUrl(String infoRichTextPictureUrl) {
        this.infoRichTextPictureUrl = infoRichTextPictureUrl;
    }

	public String getPhoneDialRecordVideo() {
		return phoneDialRecordVideo;
	}

	public void setPhoneDialRecordVideo(String phoneDialRecordVideo) {
		this.phoneDialRecordVideo = phoneDialRecordVideo;
	}
}
